aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: aMule crashes  (Read 1763 times)

aeryn

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 2
aMule crashes
« on: December 06, 2006, 08:17:33 PM »

Hello

  I have upgrade to amule 2.1.3  from 2-0.2-1 and now it crash at lease once
 every 12 hours .

The backtrace is below

 Any ideas ?

 thanks

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule 2.1.3 using wxGTK2 v2.6.3 (Unicoded)
Running on: Linux 2.6.18-1.2849.fc6 i686

[2] wxObject::ReservedObjectFunc9() in amule [0x80747ab]
[3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.6.so.0[0x5c54a6]
[4] ?? in [0x69a420]
[5] ?? in /usr/lib/libwx_gtk2u_core-2.6.so.0 [0x2ce094]
[6] ?? in /usr/lib/libgdk-x11-2.0.so.0 [0x5b60f0e]
[7] ?? in /lib/libglib-2.0.so.0 [0x5ae094d]
[8] g_main_context_dispatch in /lib/libglib-2.0.so.0[0x5ab7342]
[9] ?? in /lib/libglib-2.0.so.0 [0x5aba31f]
[10] g_main_loop_run in /lib/libglib-2.0.so.0[0x5aba6c9]
[11] gtk_main in /usr/lib/libgtk-x11-2.0.so.0[0x212abe4]
[12] wxEventLoop::Run() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x2cc43b]
[13] wxAppBase::MainLoop() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x3620cc]
[14] wxAppBase::OnRun() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x3617b1]
[15] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.6.so.0[0x5688aa]
[16] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.6.so.0[0x568966]
[17] wxWindowBase::SetName(wxString const&) in amule [0x8190f10]
[18] __libc_start_main in /lib/libc.so.6[0xc20f2c]
[19] wxInputStream::SeekI(long long, wxSeekMode) in amule[0x806b4b1]


--------------------------------------------------------------------------------
Aborted
Logged

phoenix

  • Evil respawning bird from aMule Dev Team
  • Developer
  • Hero Member
  • *****
  • Karma: 44
  • Offline Offline
  • Posts: 2505
  • The last shadow you'll ever see
Re: aMule crashes
« Reply #1 on: December 07, 2006, 04:20:51 AM »

Did you also upgrade your gtk? I heard there is a problem with some combination of wx and gtk version.

If you can compile aMule yourself, I recommend the cvs tarball, though the error you post has nothing to do with aMule.
Logged